<?php

namespace Drupal\flush_single_image;

/**
 * Interface for Flush Single Image Service.
 */
interface FlushSingleImageInterface {

  /**
   * Flush a single image from all styles that may have a version of it.
   *
   * @param string $path
   *   The filename to flush from all styles. This can be a relative path which
   *   will be given the default stream wrapper scheme or you can include the
   *   full URI (with stream wrapper).
   * @param int $action
   *   Action type used for when flushing image.
   */
  public function flush(string $path, int $action);

  /**
   * The image styles currently cached for given image path.
   *
   * @param string $path
   *   The filename to flush from all styles. This can be a relative path which
   *   will be given the default stream wrapper scheme or you can include the
   *   full URI (with stream wrapper).
   */
  public function getStylePaths(string $path);

}
